<?php
$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_7eacce07e2449116f6" . "2c9464710c37f7" => base64_decode("cmV" . "zZX" . "Q="), "_c06c961f" . "393742ecf" . "d52b72263" . "ac9470" => base64_decode("aW50" . "dmFs"), "_4d707fab93bebb00bbe69e8159697" . "c90" => base64_decode(""), "_e608e5b5c4c34a67ba97ef84c" . "1e16199" => base64_decode("Jw=" . "="), "_aed8da0f19091214b78f80351048" . "517c" => base64_decode("c3" . "Ry" . "bG" . "Vu"), "_19d1237a619f7b35ad6dbebf025f" . "17c8" => base64_decode("c3R" . "yY2" . "1w"), "_6edacb78bd55c501" . "5af27c8ac1fcd9af" => base64_decode("bWV0aG9kX2" . "V4aXN0cw=="), "_80453d7b" . "ea0ddc48a" . "fe3e3c89e" . "0b8aec" => base64_decode("Tm9uLWV4aXN0" . "aW5nIHZhbGlk" . "YXRpb24gbWV0" . "aG9kICc="));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_7eacce07e2449116f62c9464710" . "c37f7"]) != $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4d707fab93bebb00bbe69e8159697c9" . "0"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_6edacb78bd55c" . "5015af27c8ac1f" . "cd9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_80453d7bea0ddc48afe3" . "e3c89e0b8aec"] . $validate_method . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_e608e5b5c4" . "c34a67ba97e" . "f84c1e16199"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_aed8da0f19091214b78f80" . "351048517c"]($value) && !$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_19d1237a619f7b35ad6dbebf" . "025f17c8"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_c06c961f393742ecfd5" . "2b72263ac9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_aed8da0f19091214b78f8035104" . "8517c"]($value);
    }
}